unit WDosControl;

interface

procedure Register;

implementation

uses
  Classes, DsgnIntf, WDosPlcUtils, WDosPlcs, WDosLptInOuts;

type
  TBitAddrProperty = class (TIntegerProperty)
  public
    function GetValue: string; override;
    procedure SetValue(const Value: string); override;
  end;

  TByteAddrProperty = class (TIntegerProperty)
  public
    function GetValue: string; override;
    procedure SetValue(const Value: string); override;
  end;


{
******************************* TBitAddrProperty *******************************
}
function TBitAddrProperty.GetValue: string;
begin
  Result :=BitAddrToStr(GetOrdValue);
end;

procedure TBitAddrProperty.SetValue(const Value: string);
var
  wValue: LongInt;
begin
  wValue :=StrToBitAddr(Value);
  SetOrdValue(wValue);
end;

{ TByteAddrProperty }

function TByteAddrProperty.GetValue: string;
begin
  Result :=ByteAddrToStr(GetOrdValue);
end;

procedure TByteAddrProperty.SetValue(const Value: string);
var
  wValue: LongInt;
begin
  wValue :=StrToByteAddr(Value);
  SetOrdValue(wValue);
end;

procedure Register;
begin
  { register control components }
  RegisterComponents('WDosControl', [TwdxPlc, TwdxLptInOut, TwdxPetriNet]);
  { register property editor }
  RegisterPropertyEditor( TypeInfo(TBitAddr), nil, '',
      TBitAddrProperty);
  RegisterPropertyEditor( TypeInfo(TByteAddr), nil, '',
      TByteAddrProperty);
end;

end.
