
{*******************************************************}
{                                                       }
{       Borland Delphi WDosX Component Library          }
{                                                       }
{       for Delphi 4, 5 WDosX DOS-Extender              }
{       Copyright (c) 2000 by Immo Wache                }
{       e-mail: immo.wache@t-online.de                  }
{                                                       }
{*******************************************************}

{
  Version history:
    IWA 11/20/00 Version 1.1
}

unit WDosDriverConst;

interface

uses
  WDosWindows;

const
  DCapitalShift =False;
  DNonEnglish =False;

type
  TCharSet = set of Char;

const
  Diacritics: TCharSet =[];

  VirtualKey: array[1..93] of Byte =(
    VK_ESCAPE, VK_1, VK_2, VK_3, VK_4, VK_5, VK_6, VK_7, VK_8, VK_9, VK_0,
    VK_OEM_4, VK_OEM_6, VK_BACK, VK_TAB, VK_Q, VK_W, VK_E, VK_R, VK_T, VK_Y,
    VK_U, VK_I, VK_O, VK_P, VK_OEM_1, VK_OEM_PLUS, VK_RETURN, VK_LCONTROL,
    VK_A, VK_S, VK_D, VK_F, VK_G, VK_H, VK_J, VK_K, VK_L, VK_OEM_3, VK_OEM_7,
    VK_OEM_5, VK_LSHIFT, VK_OEM_2, VK_Z, VK_X, VK_C, VK_V, VK_B, VK_N, VK_M,
    VK_OEM_COMMA, VK_OEM_PERIOD, VK_OEM_MINUS, VK_RSHIFT, VK_MULTIPLY,
    VK_LMENU, VK_SPACE, VK_CAPITAL, VK_F1, VK_F2, VK_F3, VK_F4, VK_F5, VK_F6,
    VK_F7, VK_F8, VK_F9, VK_F10, VK_NUMLOCK, VK_SCROLL, VK_HOME, VK_UP,
    VK_PRIOR, VK_SUBTRACT, VK_LEFT, VK_CLEAR, VK_RIGHT, VK_ADD, VK_END,
    VK_DOWN, VK_NEXT, VK_INSERT, VK_DELETE, VK_SNAPSHOT, VK_NULL, VK_OEM_102,
    VK_F11, VK_F12, VK_NULL, VK_NULL, VK_LWIN, VK_RWIN, VK_APPS);

  KeyMap: array[0..255] of Char =(
      #00, #00, #00, #03, #00, #00, #00, #00,
      #08, #09, #00, #00, #00, #13, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #27, #00, #00, #00, #00,
      ' ', #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      '0', '1', '2', '3', '4', '5', '6', '7',
      '8', '9', #00, #00, #00, #00, #00, #00,
      #00, 'a', 'b', 'c', 'd', 'e', 'f', 'g',
      'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o',
      'p', 'q', 'r', 's', 't', 'u', 'v', 'w',
      'x', 'y', 'z', #00, #00, #00, #00, #00,
      '0', '1', '2', '3', '4', '5', '6', '7',
      '8', '9', '*', '+', #00, '-', '.', '/',
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, ';', '=', ',', '-', '.', '/',
      '`', #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, '[', '\', ']','''', #00,
      #00, #00, '\', #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00);

  ShiftKeyMap: array[0..255] of Char =(
      #00, #00, #00, #03, #00, #00, #00, #00,
      #08, #09, #00, #00, #00, #13, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #27, #00, #00, #00, #00,
      ' ', #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      ')', '!', '@', '#', '$', '%', '^', '&',
      '*', '(', #00, #00, #00, #00, #00, #00,
      #00, 'A', 'B', 'C', 'D', 'E', 'F', 'G',
      'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O',
      'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W',
      'X', 'Y', 'Z', #00, #00, #00, #00, #00,
      '0', '1', '2', '3', '4', '5', '6', '7',
      '8', '9', '*', '+', #00, '-', '.', '/',
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, '{', '}', '<', '?', '>', '|',
      ':', #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, '_', '~', '+', '"', #00,
      #00, #00, '|', #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00);

  CtrlKeyMap: array[0..255] of Char =(
      #00, #00, #00, #03, #00, #00, #00, #00,
      #127,#09, #00, #00, #00, #10, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #27, #00, #00, #00, #00,
      ' ', #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #01, #02, #03, #04, #05, #06, #07,
      #08, #09, #10, #11, #12, #13, #14, #15,
      #16, #17, #18, #19, #20, #21, #22, #23,
      #24, #25, #26, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #27, #29, #00, #00, #00, #28,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00);

  AltGrKeyMap: array[0..255] of Char =(
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00,
      #00, #00, #00, #00, #00, #00, #00, #00);

implementation

end.
